[PC-BSD Commits] r1485 - pbibuild/pbibuilder/scripts
svn at pcbsd.org
svn at pcbsd.org
Fri Feb 29 11:44:08 PST 2008
Author: kris
Date: 2008-02-29 11:44:08 -0800 (Fri, 29 Feb 2008)
New Revision: 1485
Modified:
pbibuild/pbibuilder/scripts/2.makeport.sh
Log:
Updated the PBI module search script to accept a few new flags for ignoring
a build on certian CPUs, and an option to mark a module as broken
Modified: pbibuild/pbibuilder/scripts/2.makeport.sh
===================================================================
--- pbibuild/pbibuilder/scripts/2.makeport.sh 2008-02-29 13:58:44 UTC (rev 1484)
+++ pbibuild/pbibuilder/scripts/2.makeport.sh 2008-02-29 19:44:08 UTC (rev 1485)
@@ -55,39 +55,49 @@
if [ -e "${module}/pbi.conf" ]
then
+ARCHIGNORE="" ; export ARCHIGNORE
+PORTBROKE="" ; export PORTBROKE
+
. ${module}/pbi.conf
OUTDIR="${PROGDIR}/outgoing/${module}" ; export OUTDIR
-# Check that the output directory for this module exists
-if [ ! -e "${OUTDIR}" ]
-then
- mkdir -p ${OUTDIR}
-fi
+ # Check that the output directory for this module exists
+ if [ ! -e "${OUTDIR}" ]
+ then
+ mkdir -p ${OUTDIR}
+ fi
-touch ${OUTDIR}/.built
-touch ${OUTDIR}/.oldbk
-VER="`md5 ${PROGDIR}/${PBIPORT}/Makefile | cut -d \" \" -f 4`"
-OVER="`cat ${OUTDIR}/.built`"
-OLDBUILDKEY="`cat ${OUTDIR}/.oldbk`"
+ touch ${OUTDIR}/.built
+ touch ${OUTDIR}/.oldbk
+ VER="`md5 ${PROGDIR}/${PBIPORT}/Makefile | cut -d \" \" -f 4`"
+ OVER="`cat ${OUTDIR}/.built`"
+ OLDBUILDKEY="`cat ${OUTDIR}/.oldbk`"
-if [ "${VER}" != "${OVER}" -o "${BUILDKEY}" != "${OLDBUILDKEY}" -o "${REBUILDALL}" == "1" ]
-then
- echo "Module ${module} needs a rebuild"
- BUILD="1"
- MODULEDIR="${PROGDIR}/modules/${module}" ; export MODULEDIR
- BLOG="${OUTDIR}/build.log" ; export BLOG
-else
- echo "Module ${module} is up to date"
-fi
+ if [ "${VER}" != "${OVER}" -o "${BUILDKEY}" != "${OLDBUILDKEY}" -o "${REBUILDALL}" = "1" ]
+ then
+ echo "Module ${module} needs a rebuild"
+ BUILD="1"
+ MODULEDIR="${PROGDIR}/modules/${module}" ; export MODULEDIR
+ BLOG="${OUTDIR}/build.log" ; export BLOG
+ else
+ echo "Module ${module} is up to date"
+ fi
-cat ${PROGDIR}/${PBIPORT}/Makefile | grep "^BROKEN=" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]
-then
- echo "Module ${module} is marked as broken, skipping..."
- BUILD="0"
-fi
+ # Check if we need to ignore building on this architecture
+ ARCH="`uname -p`"
+ echo "$ARCHIGNORE" | grep "$ARCH" >/dev/null 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ echo "Module ${module} is marked as broken on this system"
+ BUILD="0"
+ fi
+ if [ "$PORTBROKE" = "YES" ]
+ then
+ echo "Module ${module} is marked as broken"
+ BUILD="0"
+ fi
fi
More information about the Commits
mailing list